# Class FilteringIterator

java.lang.Object
htsjdk.variant.variantcontext.filter.FilteringVariantContextIterator
htsjdk.variant.variantcontext.filter.FilteringIterator

All Implemented Interfaces:
  `CloseableIterator<VariantContext>, Closeable, AutoCloseable, Iterable<VariantContext>, Iterator<VariantContext>`

@Deprecated public class FilteringIterator extends FilteringVariantContextIterator
Deprecated.
since 2/29/16 use `FilteringVariantContextIterator` instead
A filtering iterator for VariantContexts that takes a base iterator and a VariantContextFilter. The iterator returns all the variantcontexts for which the filter's function "test" returns true (and only those)

## Constructor Summary

Constructors
Constructor
Description
`FilteringIterator(Iterator<VariantContext> iterator, VariantContextFilter filter)`
Deprecated.

## Method Summary

### Methods inherited from class FilteringVariantContextIterator

`close, hasNext, iterator, next, remove`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface CloseableIterator

`stream, toList`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Constructor Details

### FilteringIterator

public FilteringIterator(Iterator<VariantContext> iterator, VariantContextFilter filter)
Deprecated.